Jump to: navigation, search

Tier 1 Switch Support

Read This First

  • If a switch release is not shown in this table, Genesys does not support it. 
  • Information on supported hardware and third-party software required to run Genesys applications is available in the Genesys Supported Operating Environment Reference Guide Wiki. 
  • We upgrade the switch to the latest switch version and test it with the latest GA version of T-Server.
  • We upgrade the switch to the latest link version and test it with the latest GA version of T-Server.
  • We announce the support based on the latest switch version. Customers may choose the latest link version or older link versions. Any compatibility issues discovered between the latest switch version and link version needs to be addressed to the switch vendor.
  • The latest GA version of T-Server will then support all previous versions of the switch in compatibility mode.
  • If you need to upgrade the switch version, the latest GA version of T-Server must be used together with any previous Genesys suite versions. The only Genesys migration activity needed is a T-Server upgrade.
  • We recommend that you upgrade the PBX version first, and the T-Server second. If you do not plan to upgrade the PBX, there is no clear need to upgrade the T-Server.

 

Starting Version

Latest Version

CTI Link

Support (incl HA)

T-Servers Supported

Type of Support (TDM, IP, Hybrid)

Notes

Alcatel OmniPCX Enterprise (OXE)/A4400

10.0

10.1

CSTA II

7.6.003.03+

Alcatel A4400/OXE

Hybrid

Please refer to T-Server for Alcatel A4400/OXE Release Notes for SIP End Point support limitations.

11.0

12.2

CSTA II

8.1+

Alcatel A4400/OXE

Hybrid

R12.1 support is provided as of Alcatel patch level 13g. Please refer to T-Server for Alcatel A4400/OXE Release Notes for SIP End Point support limitations. 

Aspect ACD

9.2

9.3

Data Interlink Version 6

7.6+

Aspect ACD

Hybrid

 

9.3

9.4

Data Interlink Version 8

8.0.1+

Aspect ACD

Hybrid

 

AVAYA Media Server (S8XXX series), G3 R, G3 Si, G3 CSi Prologix)

Refer to Avaya Switch Support for Avaya specific hardware platform information. "CM"= Communication Manager

Aura CM 5.2.1

Aura CM 5.2.1

ASAI4

8.0+

Avaya Communication Manager

Hybrid

 

Aura CM 5.2.1

Aura CM 5.2.1

TSAPI via AES 5.2.1
with TSAPI Libraries 4.1 and 4.2

8.0+

Avaya TSAPI

Hybrid

 

Aura CM 6.0

Aura CM 6.0.1

ASAI4

8.0.1+

Avaya Communication Manager

Hybrid

 

Aura CM 6.0

Aura CM 6.0.1

TSAPI via AES 5.2.1 with TSAPI Libraries 4.1, 4.2

8.0.1+

Avaya TSAPI

Hybrid

 

Aura CM 6.0

Aura CM 6.0.1

CTI Link: TSAPI via AES 5.2.1 and AES 6.1 with TSAPI Libraries 4.1, 4.2

8.0.1+

Avaya TSAPI

Hybrid

 

Aura CM 6.2

Aura CM 6.2

ASA14

8.1+

Avaya Communication Manager

Hybrid

 

Aura CM 6.2

Aura CM 6.2

CTI Link:
TSAPI via AES 5.2.1 and AES 6.1.2, and 6.2 with TSAPI Libraries 4.1, 4.2, 6.1, and 6.2

8.1+

Avaya TSAPI

Hybrid

 

Aura CM 6.3

Aura CM 6.3

AES 6.3 and 6.3.3

ASAI4

8.1+

Avaya Communication Manager

Hybrid

 

Aura CM 6.3

Aura CM 6.3

CTI Link:

TSAPI via AES 6.3 and 6.3.3 and TSAPI Libraries 4.1, 4.2, 6.1

8.1+

Avaya TSAPI

Hybrid

 

Aura CM 7.x

Aura CM 7.0

 

8.1+

Avaya Communication Manager

Hybrid

Requires CM custom patch 23413 or a patch that includes patch 23413.

Aura CM 7.x

Aura CM 7.0

 

8.1+

Avaya TSAPI

Hybrid

Requires CM custom patch 23413 or a patch that includes patch 23413.

Aura CM 7.0

Aura CM 7.0

AES 6.3x and 7.0 ASAI4

8.1+

Avaya Communication Manager

Hybrid

Please check SIP Server Table for Session Manager. Please refer to release notes for details.

Aura CM 7.0

Aura CM 7.0

TSAPI via AES 6.3x and 7.0

8.1+

Avaya TSAPI

Hybrid

Please refer to release notes for TSAPI client version.

Broadsoft Broadworks

Release 17 SP4

Release 17 SP4

CTI Interface R17

 

8.1+

T-Server for CSTA Connector with CSTA Connector for Broadsoft Broadworks 8.1+

IP

 

Release 19

Release 20

CTI Interface R19

8.1.102+

T-Server for CSTA Connector with CSTA Connector for Broadsoft Broadworks 8.1.102+

IP

 

Release 21

Release 22

CTI Interface R19+

8.1.106+

T-Server for CSTA Connector with CSTA Connector for Broadsoft Broadworks 8.1.106+

IP

R22 support requires the following patches on the switch:

  • AP.xsp.22.0.1123.ap355636
  • AS.22.0.1123.AP355640

Cisco Unified Communications Manager

UCM

7.0

UCM

7.1

JTAPI

8.0+

Cisco Unified Communications Manager

IP

 

UCM

8.0

UCM

8.5.x

JTAPI

8.0.1+

Cisco Unified Communications Manager

IP

 

UCM

8.6

UCM

8.6.x

JTAPI

8.1+

Cisco Unified Communications Manager

IP

 

UCM

9.0

UCM

9.0.x

JTAPI

8.1.1+

Cisco Unified Communications Manager

IP

 

UCM

9.1

UCM

9.1.2

JTAPI

8.1.1+

Cisco Unified Communications Manager

IP

 

UCM

10.0

UCM

10.0

JTAPI

8.1.200.06+

Cisco Unified Communications Manager

IP

 

UCM

10.5

UCM

10.5

JTAPI

8.1.201.06+

Cisco Unified Communications Manager

IP

 

UCM

11

UCM

11

JTAPI 11.0 (1.10000)-2

8.1.202.03+

Cisco Unified Communications Manager

IP

 

UCM

11.5

UCM

11.5

JTAPI 11.5 (1.10000)-1

8.1.202.12

Cisco Unified Communications Manager

IP

 

EADS Telecom Intecom M6880 PointSpan

5.2

5.4

PointSpan

8.0+

EADS Intecom M6880

TDM

 

5.5

5.5

PointSpan

8.1+

EADS Intecom M6880

TDM

 

Ericsson MD110

BC 13 SP4

BC 13 SP6

Application Link v4 SP19/20/21

7.6+

Ericsson MD110 / Aastra MXONE CSTA I

Hybrid

 

Microsoft Lync 2013 and Skype for Business - Native Integration

Lync 2013

 

UCMA 

8.5+

Multimedia Connector for Skype for Business: 

  • T-Server for Skype for Business
  • UCMA Connector for Skype for Business
  • Workspace Plug-in for Skype for Business

IP

Version 8.5.0 of the Multimedia Connector for Skype for Business only supports integration with Microsoft Lync 2013. Support for Skype for Business is slated for a subsequent release.

 Mitel MX-ONE (formerly Aastra MX-ONE)

 

4.1 SP1

4.1 SP1

4.1 SP3

4.1 SP4 HF1

Application

Link v7 SP2

8.1+

Aastra MXONE CSTA I

Hybrid

 

5.0

5.0 SP5 HF1 Application Link 8.0 8.1+ Aastra MXONE CSTA I Hybrid  

6.1 SP1

6.3 SP1

Application

Link 9.1

8.1+ Aastra MXONE CSTA I Hybrid Hybrid Aastra MX-ONE 6.0 is not supported.

Nortel Communication Server 1000

Formerly known as Meridian 1 Option 11, 51, 61, 81, and Succession 1000. Nortel Communication Server 1000 PBX is now owned by Avaya and called Avaya Communication Server 1000 (Avaya CS1000)

3.0

3.0

Meridian Link 5c

7.6+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

HA Proxy is required for Meridian/Symposium and Avaya T-Server versions earlier than 7.1.

3.0

4.0

SMLS/SCCS 4.0 and SMLS/SCCS 4.2 and SCCS 5.0

7.6+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

Support is based on the switch vendor’s compatibility statement. HA Proxy is not supported, but HA is supported.

4.5

4.5

SCCS 5.0

7.6+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

HA Proxy is not supported, but HA is supported.

4.5

5.5

CCMS 6.0

7.6+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

Contact Center Manager Server (CCMS) was formerly known as Symposium Contact Center Server (SCCS). Genesys T-Server uses Meridian Link Services (MLS) to integrate CCMS with CS1000.

6.0

7.5

CCMS 6.0 and CCMS 7.0

8.0+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

6.0 and 7.5 supported based on the switch vendor’s compatibility statement.

5.x

7.5

Avaya Aura Contact Center 6.1 ( 6.1)

8.0.1+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

 

7.5

7.5

Avaya Aura Contact Center 6.2 (AACC 6.2)

8.1+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

 

7.6

7.6

Avaya Aura Contact Center 6.3 and 6.4 (AACC 6.3 and 6.4)

8.1+

Nortel Communication Server 1000 with SCCS/MLS

Hybrid

 

Nortel Communication Server 2000/2100

Formerly known as DMS-100/SL-100 and Nortel Carrier Succession 2000/2100. Nortel Communication Server 2100 PBX is now owned by Avaya, and called Avaya Communication Server 2100 (Avaya CS 2100). Nortel Communication Server 2000 PBX is now owned by GENBAND (General Bandwidth).

SCAI 18

SCAI 20

SCAI

7.6+

Nortel Communication Server 2000/2100

Hybrid

1 HA proxy component per link is required. HA Proxy is not required for HA when using TCP link if the switch supports dual links.

SCAI 21

SCAI 21

SCAI

8.0+

Nortel Communication Server 2000/2100

Hybrid

1 HA proxy component per link is required. HA Proxy is not required for HA when using TCP link if the switch supports dual links.

NEC Small TDM

NEAX 2000 IVS/IVS2 US, APEX 3600 Japan, NEAX7400 family including M100, 140, 160, 180 Australia/NZ. Supported with UCD, not supported with external ACD"

6300

8500

OAI/ACD Rev IV

6.1+

NEC NEAX/APEX

TDM

 

6300

8500

OAI/ACD Rev IV

7.0.2+

NEC NEAX/APEX

TDM

 

NEC Large TDM

NEAX 2400 ICS/IMX US, APEX 7600 Japan, NEAX 7400 family including M240/260/280 AU/NZ. Not supported with external ACD.

7400

8500 (F1 rev 2.13)

OAI/ACD Rev IV

6.0+

NEC NEAX/APEX

TDM

 

NEC Small Hybrid

Supported with UCD, not supported with external ACD. NEAX 2000 IPS US, AU, NZ; APEX 3600i Japan.

-

8600

OAI/ACD Rev IV

7.0+

NEC NEAX/APEX

TDM

 

R8/3300

R9/3400

OAI/ACD Rev IV

7.0.2+

NEC NEAX/APEX

TDM, IP

 

-

R10/3500

OAI/ACD Rev IV

7.2+

NEC NEAX/APEX

Hybrid

 

NEC Large Hybrid

Not supported with external ACD. NEAX 2400 IPX, US, AU, NZ; APEX 7600i Japan.

8800

8800

OAI/ACD Rev IV

6.5+

NEC NEAX/APEX

TDM

 

R16/20-100

R16/20-100

OAI/ACD Rev IV

7.0.2+

NEC NEAX/APEX

Hybrid

 

R18/20-100

R18/20-100

OAI/ACD Rev IV

7.2+

NEC NEAX/APEX

Hybrid

 

R20/20-100

R20/20-100

OAI/ACD Rev IV

7.5+

NEC NEAX/APEX

Hybrid

 

R25/20

R26/20

OAI/ACD Rev IV

7.6+

NEC NEAX/APEX

Hybrid

 

NEC SV7000

Supported specifically with NEC T-Server versions 7.1.007.01+. Supported with and without external ACD. Supported with IP Phones only. NEC SV 8500 is the replacement of NEC SV 7000/APEX 7600i offerings.

R16/30-100

R16/30-100

OAI/ACD Rev IV

7.1.007.01+

NEC NEAX/APEX

IP

 

R18/30-100

R18/30-100

OAI/ACD Rev IV

7.2+

NEC NEAX/APEX

IP

 

R19/30-100

R20/30-100

OAI/ACD Rev IV

7.5+

NEC NEAX/APEX

IP

 

SV 8500 S02

SV 8500 S02

-

8.0+

NEC NEAX/APEX

IP

 

SV 8500 S03

SV 8500 S07

-

8.1+

NEC NEAX/APEX

IP

 

NEC SV9500

V01

V03

 

8.1.001.05+

NEC NEAX/APEX

IP

 V02 supported based on the switch vendor’s compatibility statement.

Spectrum

Spectrum PBX is owned by Aspect.

10.1

10.2

Transaction Link

7.6+

Spectrum

 

TDM

These versions are supported based on the switch vendor’s compatibility statement.

Unify OS4000 (formerly Siemens HiPath 4000)

V6 R1

V6 R1

CSTA III (ASN.1)

7.6+

Siemens HiPath 4000 CSTA III

Hybrid

CAP versions are no longer certified separately. CAP is now considered an integral part of the switch.

V6 R2

V8

CSTA III (ASN.1)

8.1+

Siemens HiPath 4000 CSTA III

Hybrid

CAP versions are no longer certified separately. CAP is now considered an integral part of the switch.

 

This page was last modified on September 28, 2018, at 13:28.

Feedback

Comment on this article:

blog comments powered by Disqus